Bug 2026500 - The plocate timer doesn't get active by default
Summary: The plocate timer doesn't get active by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plocate
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-24 21:23 UTC by Göran Uddeborg
Modified: 2021-12-10 01:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-27 01:10:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Göran Uddeborg 2021-11-24 21:23:33 UTC
Description of problem:
After installing plocate instead of mlocate, the database doesn't get updated automatically.


Version-Release number of selected component (if applicable):
plocate-1.1.12-2.fc35.x86_64
fedora-release-common-35-35.noarch


Steps to Reproduce:
1. dnf install --allowerasing plocate


Actual results:
The database never gets updated. "locate" never works.


Expected results:
The new "locate" should work the same way the old one did.


Additional info:
I note that mlocate-updatedb.timer is preset to be enabled in the file /usr/lib/systemd/system-preset/90-default.preset which is part of fedora-release-common. I'm not sure if the policy is to keep all such things in a central package, or if it was meant as a migration configuration and it should be moved to individual packages over time. A small set of packages do so, e.g. systemd and fwupd. I assign this to the package as a guess.

(I know how to and now have enabled the timer manually.)

Comment 1 Fedora Update System 2021-11-25 07:40:23 UTC
FEDORA-2021-c9f74b75ba has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c9f74b75ba

Comment 2 Fedora Update System 2021-11-25 07:40:25 UTC
FEDORA-2021-5c0deb66ef has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5c0deb66ef

Comment 3 Fedora Update System 2021-11-25 21:36:36 UTC
FEDORA-2021-5c0deb66ef has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5c0deb66ef`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5c0deb66ef

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-11-25 21:40:29 UTC
FEDORA-2021-c9f74b75ba has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c9f74b75ba`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c9f74b75ba

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-11-27 01:10:55 UTC
FEDORA-2021-c9f74b75ba has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-12-10 01:10:37 UTC
FEDORA-2021-5c0deb66ef has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.